Page MenuHomePhabricator

"Cancel" doesn't discard duplicate new statements
Closed, ResolvedPublic

Description

Scenario:

  • have a an existing set of statements: e.g. depicts=cat, depicts=dog
  • add a new one that already exists, e.g. another depicts=cat
  • cancel (which should return you back to the original depicts=cat, depicts=dog)

Actual result:

  • the new depicts=cat is also present in read mode

Expected Result:

  • the new depicts=cat has been discarded

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2020, 1:59 PM

Change 577522 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Pick up on same-claim-different-guid differences

https://gerrit.wikimedia.org/r/577522

Change 577522 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Pick up on same-claim-different-guid differences

https://gerrit.wikimedia.org/r/577522

Ramsey-WMF added a subscriber: Ramsey-WMF.

Should be testable on Beta Commons now

Checked in betalabs -works as expected.

Etonkovidova updated the task description. (Show Details)Mar 27 2020, 1:13 AM
Ramsey-WMF closed this task as Resolved.Apr 1 2020, 9:32 PM

Works as expected on production.